Ciele

One Flow (full router config)

GET/api/v1/flows/{id}

Requires an Organization API key with the member capability.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/flows/string"
{  "id": "string",  "assistantId": "string",  "name": "string",  "description": "string",  "builtIn": true,  "isDefault": true,  "enabled": true,  "position": 0,  "trigger": "message",  "triggerSettings": {    "timeOnPage": {      "minutes": 0,      "seconds": 0    },    "httpRequest": {      "methods": [        "GET"      ]    }  },  "conditionLogic": "any",  "conditions": [    {      "id": "string",      "kind": "conversation_context",      "description": "string",      "examples": [        {          "message": null,          "note": null,          "shouldTrigger": null        }      ]    }  ],  "actions": [    "improvement"  ],  "actionSettings": {    "steps": [      {        "id": "string",        "action": "improvement",        "settings": {          "search_knowledge": {            "escalatePrompt": null,            "improvementItems": null,            "searchGuidelines": null,            "answeringStyle": null,            "overrideAnsweringStyle": null          },          "follow_up_questions": {            "mode": null,            "questions": null          },          "show_button": {            "label": null,            "type": null,            "url": null,            "helpDeskId": null,            "text": null,            "faqId": null,            "faqQuestion": null,            "showIcon": null,            "icon": null          },          "iframe": {            "url": null,            "title": null,            "lightbox": null,            "height": null,            "heightUnit": null          },          "api_request": {            "endpoint": null,            "swaggerUrl": null,            "operationId": null,            "method": null,            "url": null,            "auth": null,            "headers": null,            "queryParams": null,            "bodyTemplate": null,            "jsonPaths": null          },          "send_email": {            "to": null          },          "handover": {            "assistantId": null          },          "basic_reply": {            "message": null          },          "notification": {            "title": null,            "content": null,            "deliveryRule": null,            "allowReplies": null,            "buttons": null          },          "connector": {            "provider": null,            "connectionId": null,            "action": null,            "params": null,            "successMessage": null,            "failureMessage": null          },          "human_review": {            "title": null,            "message": null,            "assignees": null,            "channel": null,            "senderConnectionId": null,            "slackTarget": null,            "inputs": null,            "timeoutHours": null,            "haltMessage": null,            "waitingMessage": null,            "mode": null          },          "http_webhook": {            "subscribe": null,            "unsubscribe": null,            "timeoutMinutes": null,            "waitingMessage": null,            "haltMessage": null,            "jsonPaths": null          },          "respond": {            "status": null,            "headers": null,            "bodyTemplate": null          }        },        "customMessage": "string",        "copiedFromId": "string"      }    ],    "search_knowledge": {      "escalatePrompt": false,      "improvementItems": false,      "searchGuidelines": "string",      "answeringStyle": "string",      "overrideAnsweringStyle": false    },    "basic_reply": {      "message": "string"    },    "show_button": {      "label": "string",      "type": "send_text",      "url": "string",      "helpDeskId": "string",      "text": "string",      "faqId": "string",      "faqQuestion": "string",      "showIcon": false,      "icon": "message"    },    "iframe": {      "url": "string",      "title": "string",      "lightbox": false,      "height": 0,      "heightUnit": "vh"    },    "api_request": {      "endpoint": "url",      "swaggerUrl": "string",      "operationId": "string",      "method": "GET",      "url": "string",      "auth": {        "type": "none"      },      "headers": [        {          "id": "string",          "name": "string",          "value": "string"        }      ],      "queryParams": [        {          "id": "string",          "name": "string",          "value": "string"        }      ],      "bodyTemplate": "string",      "jsonPaths": [        {          "id": "string",          "path": "string",          "variable": "string"        }      ]    },    "send_email": {      "to": "string"    },    "handover": {      "assistantId": "string"    },    "connector": {      "provider": "salesforce",      "connectionId": "string",      "action": "string",      "params": {        "property1": "string",        "property2": "string"      },      "successMessage": "string",      "failureMessage": "string"    },    "human_review": {      "title": "string",      "message": "string",      "assignees": [        "string"      ],      "channel": "slack",      "senderConnectionId": "string",      "slackTarget": "string",      "inputs": [        {          "id": "string",          "label": "string",          "type": null,          "required": null,          "placeholder": "string",          "options": [            null          ]        }      ],      "timeoutHours": 0,      "haltMessage": "string",      "waitingMessage": "string",      "mode": "always"    },    "http_webhook": {      "subscribe": {        "method": "GET",        "url": "string",        "bodyTemplate": "string",        "auth": {          "type": null        },        "headers": [          {            "id": null,            "name": null,            "value": null          }        ],        "jsonPaths": [          {            "id": null,            "path": null,            "variable": null          }        ]      },      "unsubscribe": {        "method": "GET",        "url": "string",        "bodyTemplate": "string",        "auth": {          "type": null        },        "headers": [          {            "id": null,            "name": null,            "value": null          }        ],        "jsonPaths": [          {            "id": null,            "path": null,            "variable": null          }        ]      },      "timeoutMinutes": 0,      "waitingMessage": "string",      "haltMessage": "string",      "jsonPaths": [        {          "id": "string",          "path": "string",          "variable": "string"        }      ]    },    "respond": {      "status": 0,      "headers": [        {          "id": "string",          "name": "string",          "value": "string"        }      ],      "bodyTemplate": "string"    },    "follow_up_questions": {      "mode": "ai_generated",      "questions": [        "string"      ]    },    "notification": {      "title": "string",      "content": "string",      "deliveryRule": "always",      "allowReplies": false,      "buttons": [        {          "id": "string",          "label": "string",          "type": null,          "url": "string",          "text": "string"        }      ]    }  },  "customMessage": "string"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}